org.apache.cassandra.cql3.statements

## Class SingleColumnRestriction.Contains

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SingleColumnRestriction
  - - org.apache.cassandra.cql3.statements.SingleColumnRestriction.Contains

All Implemented Interfaces:
  Restriction

Enclosing class:
  SingleColumnRestriction

    public static class SingleColumnRestriction.Contains
    extends SingleColumnRestriction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

`SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.IN`

### Constructor Summary

Constructors
Constructor and Description
`SingleColumnRestriction.Contains()`

### Method Summary

Methods
`void` `add(Term t, boolean isKey)`
`void` `addKey(Term t)`
`void` `addValue(Term t)`
`boolean` `hasContains()`
`boolean` `hasContainsKey()`
`boolean` `isContains()`
`boolean` `isEQ()`
`boolean` `isIN()`
`boolean` `isOnToken()`
`boolean` `isSlice()`
`java.util.List<java.nio.ByteBuffer>` `keys(QueryOptions options)`
`java.lang.String` `toString()`
`java.util.List<java.nio.ByteBuffer>` `values(QueryOptions options)`

### Methods inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

`isMultiColumn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SingleColumnRestriction.Contains

    public SingleColumnRestriction.Contains()

### Method Detail

#### hasContains

    public boolean hasContains()

#### hasContainsKey

    public boolean hasContainsKey()

#### add

    public void add(Term t,
           boolean isKey)

#### addValue

    public void addValue(Term t)

#### addKey

    public void addKey(Term t)

#### values

    public java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                               throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### keys

    public java.util.List<java.nio.ByteBuffer> keys(QueryOptions options)
                                             throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### isSlice

    public boolean isSlice()

#### isEQ

    public boolean isEQ()

#### isIN

    public boolean isIN()

#### isContains

    public boolean isContains()

#### isOnToken

    public boolean isOnToken()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`